package com.dsk.cscec.domain.bo;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author sxk
 * @date 2024.02.08
 * @time 16:07
 */
@Data
public class EditProjectInfoBo {
    /**
     * 项目ID
     */
    @NotNull(message = "项目ID不能为空")
    private Long projectId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * IPM项目编码
     */
    private String ipmProjectNo;
    /**
     * 是否获取项目详情(0:否、1:是)
     */
    @NotNull(message = "是否获取项目详情不能为空")
    private Integer isGetProjectDetail;
    /**
     * 文件名称
     */
    private String projectFileName;
}
