package com.dsk.cscec.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * @author sxk
 * @date 2024.02.18
 * @time 15:08
 */
@Data
public class ProjectRecordSearchVo {
    /**
     * 项目ID
     */
    private Long id;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * IPM项目编码
     */
    private String ipmProjectNo;
    /**
     * 文件名称
     */
    private String projectFileName;
    /**
     * 项目数据
     */
    private List<ProjectRecordDataVo> dataVoList;
}
