package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.cscec.domain.CbProjectRecord;
import com.dsk.cscec.domain.vo.ProjectRecordSearchVo;

/**
 * 项目台账表(CbProjectRecord)表数据库访问层
 *
 * @author sxk
 * @since 2024-02-05 11:37:49
 */
public interface CbProjectRecordMapper extends BaseMapper<CbProjectRecord> {
    /**
     * 获取项目台账列表
     */
    Page<ProjectRecordSearchVo> selectPageProjectRecordList(Page<ProjectRecordSearchVo> build, QueryWrapper<CbProjectRecord> wrapper);

}

